%define audio alsa
%{!?_without_pulse: %define audio pulse}

Summary:   A fast console MPEG Audio Player
Name:      mpg123
Version:   1.13.3
Release:   15%{?dist}
License:   LGPLv2
Source0:   http://www.mpg123.de/download/%{name}-%{version}.tar.bz2
Group:     Applications/Multimedia
URL:       http://www.mpg123.de/index.shtml
BuildRequires: alsa-lib-devel libtool-ltdl-devel
%{!?_without_arts:BuildRequires: arts-devel}
%{!?_without_esd:BuildRequires: esound-devel}
%{!?_without_jack:BuildRequires: jack-audio-connection-kit-devel}
%{!?_without_nas:BuildRequires: nas-devel}
%{!?_without_oss:BuildRequires: alsa-oss-devel}
%{!?_without_portaudio:BuildRequires: portaudio-devel}
%{!?_without_pulse:BuildRequires: pulseaudio-libs-devel}
%{!?_without_sdl:BuildRequires: SDL-devel}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: mpg321
Obsoletes: mpg123-plugins-extras < %{version}-%{release}
Obsoletes: mpg123-plugins-jack < %{version}-%{release}
Obsoletes: mpg123-plugins-pulseaudio < %{version}-%{release}
Provides:  mpg123-plugins-extras = %{version}-%{release}
Provides:  mpg123-plugins-jack = %{version}-%{release}
Provides:  mpg123-plugins-pulseaudio = %{version}-%{release}
Provides:  libmpg123 = %{version}-%{release}

%description
mpg123 is a real time MPEG 1.0/2.0/2.5 audio player for layers 1,2 and 3 
(MPEG 1.0 layer 3 aka MP3 most commonly tested).
Among others, it is working with: 
Linux, MacOSX, FreeBSD, SunOS4.1.3, Solaris 2.5, HPUX 9.x, SGI Irix and Cygwin.
It is a free software licensed under LGPL (the officially released sources, 
but some files in subversion repository may differ).

This package uses %{audio} as the default audio interface.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides:  libmpg123-devel = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Avoid standard rpaths on lib64 archs
sed -i -e 's|"/lib /usr/lib\b|"/%{_lib} %{_libdir}|' configure
# Convert to utf8
iconv -f iso8859-1 -t utf-8 AUTHORS -o AUTHORS.txt
touch -r AUTHORS AUTHORS.txt
mv AUTHORS.txt AUTHORS

%build
%configure --with-default-audio=%{audio} --disable-ltdl-install

make %{_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING equalize.dat NEWS NEWS.libmpg123 README INSTALL TODO
%{_bindir}/%{name}
%{_libdir}/libmpg123.so.*
%{_libdir}/libmpg123.la
%{_libdir}/%{name}/output_*.so
%{_libdir}/%{name}/output_*.la
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-, root, root,-)
%doc doc/*
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/libmpg123.pc
%{_libdir}/libmpg123.so

%changelog

* Sat Jun 18 2011 Paulo Roma <roma@lcg.ufrj.br> 1.13.3-15
- Updated to 1.13.3
- Providing libmpg123.

* Tue Mar 01 2011 Paulo Roma <roma@lcg.ufrj.br> 1.13.2-14
- Updated to 1.13.2
- Obsoletes plugins.

* Thu Jan 06 2011 Paulo Roma <roma@lcg.ufrj.br> 1.13.1-13
- Updated to 1.13.1

* Wed Dec 22 2010 Paulo Roma <roma@lcg.ufrj.br> 1.13.0-13
- Updated to 1.13.0

* Mon Oct 11 2010 Paulo Roma <roma@lcg.ufrj.br> 1.12.5-13
- Updated to 1.12.5

* Sun Jul 11 2010 Paulo Roma <roma@lcg.ufrj.br> 1.12.3-13
- Updated to 1.12.3

* Tue Jun 22 2010 Paulo Roma <roma@lcg.ufrj.br> 1.12.2-13
- Updated to 1.12.2

* Thu Mar 25 2010 Paulo Roma <roma@lcg.ufrj.br> 1.12.1-13
- Updated to 1.12.1

* Mon Dec 14 2009 Paulo Roma <roma@lcg.ufrj.br> 1.10.0-13
- Updated to 1.10.0

* Sun Oct 11 2009 Paulo Roma <roma@lcg.ufrj.br> 1.9.1-13
- Updated to 1.9.1

* Tue Sep 01 2009 Paulo Roma <roma@lcg.ufrj.br> 1.9.0-13
- Updated to 1.9.0

* Thu Jul 02 2009 Paulo Roma <roma@lcg.ufrj.br> 1.8.1-13
- Updated to 1.8.1

* Thu Jun 11 2009 Paulo Roma <roma@lcg.ufrj.br> 1.8.0-13
- Updated to 1.8.0
- Removed README.win32 and xmms2-plugin.

* Sun May 10 2009 Paulo Roma <roma@lcg.ufrj.br> 1.7.3-12
- Updated to 1.7.3
- Fixed a regression, introduce by doublespeed,
  wich basically made seeking unbearable.
- Changed BuildRoot.

* Tue Apr 07 2009 Paulo Roma <roma@lcg.ufrj.br> 1.7.2-11
- Updated to 1.7.2
- Disabled ltdl-install.

* Tue Jan 13 2009 Paulo Roma <roma@lcg.ufrj.br> 1.6.4-10
- Updated to 1.6.4
  Fixes an issue with flexible resampling and the 
  bad frame fill up introduced in the 1.6 series.
- Added new doc files.

* Sun Dec 21 2008 Paulo Roma <roma@lcg.ufrj.br> 1.6.3-9
- Updated to 1.6.3
- Only obsoleting mpg321.

* Thu Nov 13 2008 Paulo Roma <roma@lcg.ufrj.br> 1.6.2-8
- Updated to 1.6.2

* Sun Nov 09 2008 Paulo Roma <roma@lcg.ufrj.br> 1.6.0-8
- Updated to 1.6.0

* Fri Aug 29 2008 Paulo Roma <roma@lcg.ufrj.br> 1.5.1-8
- Updated to 1.5.1

* Wed Aug 06 2008 Paulo Roma <roma@lcg.ufrj.br> 1.5.0-8
- Updated to 1.5.0
- Changed description.
- Using %%configure.
- Providing mpg321 0.2.10

* Tue May 27 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.3-7
- Updated to 1.4.3
- Fixes bugs 1947373, 1947982, and 1955157.

* Tue Apr 08 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.1-7
- Updated to 1.4.1

* Tue Mar 11 2008 Paulo Roma <roma@lcg.ufrj.br> 1.3.1-7
- Updated to 1.3.1
- Bugfix release. Just revives  snd_pcm_sw_params_set_xfer_align(pcm, sw, 1) 
  for alsa-lib < 1.0.16

* Sun Mar 02 2008 Paulo Roma <roma@lcg.ufrj.br> 1.3.0-6
- Updated to 1.3.0

* Tue Feb 19 2008 Paulo Roma <roma@lcg.ufrj.br> 1.2.1-6
- Updated to 1.2.1

* Wed Feb 06 2008 Paulo Roma <roma@lcg.ufrj.br> 1.2.0-6
- Updated to 1.2.0
- Removed rpaths from binaries.

* Wed Jan 30 2008 Paulo Roma <roma@lcg.ufrj.br> 1.1.0-5
- Updated to 1.1.0
- Added arts plugin.

* Fri Jan 11 2008 Paulo Roma <roma@lcg.ufrj.br> 1.0.1-4
- Updated to 1.0.1
- Created devel package.
- Built with the following modules: alsa esd jack nas oss portaudio pulse sdl

* Sat Nov 24 2007 Paulo Roma <roma@lcg.ufrj.br> 0.68-4
- Updated to 0.68.
- Fixed bug #1807964 - Low sample rate mp3 files are distorted.
- Added pulseaudio and esd as a possibility for rebuilding.

* Fri Aug 24 2007 Paulo Roma <roma@lcg.ufrj.br> 0.67-4
- Updated to 0.67.

* Fri Jun 08 2007 Paulo Roma <roma@lcg.ufrj.br> 0.66-4
- Should be ./configure

* Mon Jun 04 2007 Paulo Roma <roma@lcg.ufrj.br> 0.66-3
- Updated to 0.66.
- Fixed obsolete-not-provided (mpg321).

* Wed Feb 14 2007 Paulo Roma <roma@lcg.ufrj.br> 0.65-3
- Updated to 0.65.

* Fri Jan 12 2007 Paulo Roma <roma@lcg.ufrj.br> 0.62-3
- Updated to 0.62.

* Wed Nov 15 2006 Paulo Roma <roma@lcg.ufrj.br> 0.61-2
- Updated to 0.61.

* Sun Sep 17 2006 Paulo Roma <roma@lcg.ufrj.br> 0.60-1
- Initial release for Fedora 5.

